// Copyright (C) 2015 - Michael Baudin
//
// This file must be used under the terms of the CeCILL.
// This source file is licensed as described in the file COPYING, which
// you should have received as part of this distribution.  The terms
// are also available at
// http://www.cecill.info/licences/Licence_CeCILL_V2-en.txt

// Updates the .xml files by deleting existing files and 
// creating them again from the .sci with help_from_sci.
//
cwd = get_absolute_file_path("update_help.sce");
modulename = "sci_gsl";
//
// Generate the Distribution Functions help pages
helpdir = fullfile(cwd,"distribution");
funmat = [
"betadist"
"bigaussian" 
"bigaussianpdf" 
"binomial" 
"chisq"
"exponential"
"exppow"
"fdist" 
"flatuniform" 
"gammadist"
"gaussian"
"gaussiantail" 
"geometric"
"hypergeom" 
"linsys" 
"lognormal" 
"logth"
"lsqod" 
"negbinomial"
"pascal"
"poisson" 
"tdist"
  ];
macrosdir = fullfile(cwd,"..","..","macros","distribution");
demosdir = [];
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t );
//
// Generate the Linear system of equations help pages
helpdir = fullfile(cwd,"linear");
funmat = [
  "linsys"
  "lsqod"
  ];
macrosdir = fullfile(cwd,"..","..","macros","linear");
demosdir = [];
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t );
//
// Generate the Complex help pages
helpdir = fullfile(cwd,"others");
funmat = [
  "trans"
  ];
macrosdir = fullfile(cwd,"..","..","macros","others");
demosdir = [];
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t );
//

// Generate the main help pages
helpdir = fullfile(cwd);
funmat = [
"Ass_legendre"
"NormAss_legendre"
"Rnl_Hlike"
"montecarlo"
"splfunc"
"phyconst"
  ];
macrosdir = fullfile(cwd,"..","..","macros");
demosdir = [];
helptbx_helpupdate ( funmat , helpdir , macrosdir , demosdir , modulename , %t );
