


function [y] = NormAss_legendre()
    //   It computes the Normalized Associated Legendre Polynomials suitable for use in spherical harmonics
    //
    //   Syntax
    //   y = NormAss_legendre(l,m,x)
    //   
    //   Parameters
    //   y: output 
    //   l and m: are integers. m greater than equal to 0 and l greater than equal to m.
    //   x: is a real number lies in the range [-1,1]
    //   
    //   Description
    //   This function computes the Normalized Associated Legendre Polynomial for given values of l, m and x.
    //
    //
    // Examples 
    // // Normalized Associated Legendre Polynomial P21(x) at x = 0.5
        // m=1
        // l=2
        // x=0.5
	// y = NormAss_legendre(l,m,x)
	//
// Authors
// Dr. Rajan Goyal
// Dr. Rashmi Verma
// Ms. Sakshi Verma
// Ms. Mahiguhappriyaprakash
endfunction
