


function [y] = Rnl_Hlike()
    //   It computes the normalized radial wavefunction of hydrogen like atoms.
    //   Syntax
    //   y = Rnl_Hlike(n,l,Z,r)
    //   
    //   Parameters
    //   y: output 
    //   n: Principal Quantum Number.
    //   l: Azimuthal Quantum number.
    //   Z: Atomic Number of Hydrogen like atom.
    //   r: radial distance.
    //   
    //   Description
    //   This function computes the normalized radial wavefunction of hydrogen like atoms. 
    //
    //
    // Examples 
    // // radial wavefunction of ground state of H-atom
        // n=1;
        // l=0;
        // Z=1;
        // j=1;
        // for i=0:0.01:10
	// y(j) = Rnl_Hlike(n,l,Z,i);
        // r(j)=i;
        // j=j+1;
        // end
        // plot(r,y)
	//
// Authors
// Dr. Rajan Goyal
// Dr. Rashmi Verma
// Ms. Sakshi Verma
// Ms. Mahiguhappriyaprakash
endfunction
