


function [y] = betadist()
    //   Beta Distribution
    //
    //   Syntax
    //   y = betadist(a,b,x,c)
    //   
    //   Parameters
    //   y: output 
    //   a,b: parameters 
    //   x: x is real number lying within the range 0 and 1 for cdf and pdf computation. while for inverse cdf x will represent P and Q and its value will lie between 0 and 1.
    //   c is choice parameter which can be used to choose different functions available under beta distribution module.
    //   c = 1: It will allow the user to generate a beta random variate. In this case the function is independent of x and hence any value of x can be set.
    //   c = 2: It will allow the user to compute the probability density p(x) at x for a beta distribution.
    //   c = 3: It will allow the user to compute beta cdf P(x)
    //   c = 4: It will allow the user to compute beta cdf Q(x).
    //   c = 5: It will allow the user to compute inverse beta cdf P(x).
    //   c >=6: It will allow the user to compute inverse beta cdf Q(x).
    //   
    //   Description
    //   This function is used to calculate beta random variate, probability density, cumulative distribution functions P(x), Q(x) and their inverse. 
    //
    //
    // Examples 
    // // probability density p(x) at x=0.5 for a beta distribution with a=2 and b=2
        // a=2
        // b=2
        // x=0.5
        // c=2
	// y = betadist(a,b,x,c)
        // disp(y)
	//
// Authors
// Dr. Rajan Goyal
// Dr. Rashmi Verma
// Ms. Sakshi Verma
// Ms. Mahiguhappriyaprakash
endfunction
