


function [x,y] = bigaussian()
    //   Bivariate Gaussian Distribution: Generate a pair of correlated Gaussian variates.
    //
    //   Syntax
    //   [x,y] = bigaussian(mx,my,sx,sy,rho)
    //   
    //   Parameters
    //   x,y: output 
    //   mx: mean in the x direction.
    //   my: mean in the y direction.
    //   sx: standard deviation in the x direction.
    //   sy: standard deviation in the y direction.
    //   rho: It is the correlation coefficient and lies in between -1 and +1.
    //   
    //   Description
    //   This function generates a pair of correlated Gaussian variates, with mean mx and my, correlation coefficient rho and standard deviations sx and sy in the x and y directions.
    //
    //
    // Examples 
    // // Generate a pair of correlated Gaussian variates, with mean mx=0, my=0 and standard deviations sx=1, sy=1 in the x and y directions and correlation coefficient rho=0.2 
        // mx=0
        // my=0
        // sx=1
        // sy=1
        // rho=0.2
	// [x,y] = bigaussian(mx,my,sx,sy,rho)
        // disp(x)
        // disp(y)
	//
// Authors
// Dr. Rajan Goyal
// Dr. Rashmi Verma
// Ms. Sakshi Verma
// Ms. Mahiguhappriyaprakash
endfunction
