


function [y] = chisq()
    //   Chi-squared Distribution
    //
    //   Syntax
    //   y = chisq(n,x,c)
    //   
    //   Parameters
    //   y: output 
    //   n: degrees of freedom
    //   x: x is real number lying within the range 0 to +infinity for cdf and pdf computation. while for inverse cdf x will represent P and Q and its value will lie between 0 and 1.
    //   c is choice parameter which can be used to choose different functions available under chi-squared distribution module.
    //   c = 1: It will allow the user to generate chi-squared random variate with n degrees of freedom. In this case the function is independent of x and hence any value of x can be set.
    //   c = 2: It will allow the user to compute the probability density p(x) at x for chi-squared distribution with n degrees of freedom.
    //   c = 3: It will allow the user to compute chi-squared cdf P(x)
    //   c = 4: It will allow the user to compute chi-squared cdf Q(x).
    //   c = 5: It will allow the user to compute inverse chi-squared cdf P(x).
    //   c >=6: It will allow the user to compute inverse chi-squared cdf Q(x).
    //   
    //   Description
    //   This function is used to calculate chi-squared random variate, probability density, cumulative distribution functions P(x), Q(x) and their inverse. 
    //
    //
    // Examples 
    // // probability density p(x) at x=1 for chi-squared distribution with degrees of freedom n=1.
        // n=1
        // x=1
        // c=2
	// y = chisq(n,x,c)
        // disp(y)
	//
// Authors
// Dr. Rajan Goyal
// Dr. Rashmi Verma
// Ms. Sakshi Verma
// Ms. Mahiguhappriyaprakash
endfunction
