


function [y] = exponential()
    //   Exponential Distribution
    //
    //   Syntax
    //   y = exponential(m,x,c)
    //   
    //   Parameters
    //   y: output 
    //   m: mean and is greater than 0
    //   x: x is real number lying within the range 0 to +infinity for cdf and pdf computation. while for inverse cdf x will represent P and Q and its value will lie between 0 and 1.
    //   c is choice parameter which can be used to choose different functions available under exponential distribution module.
    //   c = 1: It will allow the user to generate an exponential random variate with mean m. In this case the function is independent of x and hence any value of x can be set.
    //   c = 2: It will allow the user to compute the probability density p(x) at x for a exponential distribution with mean m.
    //   c = 3: It will allow the user to compute exponential cdf P(x)
    //   c = 4: It will allow the user to compute exponential cdf Q(x).
    //   c = 5: It will allow the user to compute inverse exponential cdf P(x).
    //   c >=6: It will allow the user to compute inverse exponential cdf Q(x).
    //   
    //   Description
    //   This function is used to calculate exponential random variate, probability density, cumulative distribution functions P(x), Q(x) and their inverse. 
    //
    //
    // Examples 
    // // probability density p(x) at x=1 for an exponential distribution with mean m=1.
        // m=1
        // x=1
        // c=2
	// y = exponential(m,x,c)
        // disp(y)
	//
// Authors
// Dr. Rajan Goyal
// Dr. Rashmi Verma
// Ms. Sakshi Verma
// Ms. Mahiguhappriyaprakash
endfunction
