


function [y] = exppow()
    //   Exponential Power Distribution
    //
    //   Syntax
    //   y = exppow(a,b,x,c)
    //   
    //   Parameters
    //   y: output 
    //   a: scale parameter
    //   b: exponent. For b=1 the distribution reduces to Laplace distribution and for b=2 the distribution reduces to gaussian distribution but with a=1.414s. where 's' is standard deviation
    //   x: x is real number lying within the range 0 to +infinity for cdf and pdf computation.
    //   c is choice parameter which can be used to choose different functions available under exponential power distribution module.
    //   c = 1: It will allow the user to generate a exponential power random variate with scale parameter a and exponent b. In this case the function is independent of x and hence any value of x can be set.
    //   c = 2: It will allow the user to compute the probability density p(x) at x for an exponential power distribution scale with parameter a and exponent b.
    //   c = 3: It will allow the user to compute exponential power cdf P(x).
    //   c >=4: It will allow the user to compute exponential power cdf Q(x).
    //   
    //   Description
    //   This function is used to calculate exponential power random variate, probability density, cumulative distribution functions P(x), Q(x). 
    //
    //
    // Examples 
    // // probability density p(x) at x=0 for an exponential power distribution with scale parameter a=1 and exponent b=2.5
        // a=1
        // b=2.5
        // x=0
        // c=2
	// y = exppow(a,b,x,c)
        // disp(y)
	//
// Authors
// Dr. Rajan Goyal
// Dr. Rashmi Verma
// Ms. Sakshi Verma
// Ms. Mahiguhappriyaprakash
endfunction
