


function [y] = fdist()
    //   The F-Distribution
    //
    //   Syntax
    //   y = fdist(n1,n2,x,c)
    //   
    //   Parameters
    //   y: output 
    //   n1,n2: degrees of freedom 
    //   x: x is real number lying within the range 0 to +infinity for cdf and pdf computation. while for inverse cdf x will represent P and Q and its value will lie between 0 and 1.
    //   c is choice parameter which can be used to choose different functions available under F-Distribution module.
    //   c = 1: It will allow the user to generate a F-Distributed random variate with degrees of freedom n1 and n2. In this case the function is independent of x and hence any value of x can be set.
    //   c = 2: It will allow the user to compute the probability density p(x) at x for a F-Distribution with degrees of freedom n1 and n2.
    //   c = 3: It will allow the user to compute F cdf P(x)
    //   c = 4: It will allow the user to compute F cdf Q(x).
    //   c = 5: It will allow the user to compute inverse F cdf P(x).
    //   c >=6: It will allow the user to compute inverse F cdf Q(x).
    //   
    //   Description
    //   This function is used to calculate F-Distributed random variate, probability density, cumulative distribution functions P(x), Q(x) and their inverse. 
    //
    //
    // Examples 
    // // probability density p(x) at x=1 for a F-Distribution with degrees of freedom n1=1 and n2=1.
        // n1=1
        // n2=1
        // x=1
        // c=2
	// y = fdist(n1,n2,x,c)
        // disp(y)
	//
// Authors
// Dr. Rajan Goyal
// Dr. Rashmi Verma
// Ms. Sakshi Verma
// Ms. Mahiguhappriyaprakash
endfunction
