


function [y] = gammadist()
    //   Gamma Distribution or Erlang distribution
    //
    //   Syntax
    //   y = gammadist(a,b,x,c)
    //   
    //   Parameters
    //   y: output 
    //   a, b: parameter of distribution. If 'a' is an integer then the distribution will be known as Erlang distribution.
    //   x: x is a real number and lies in between 0 and +infinity for cdf and pdf computation.
    //   c is choice parameter which can be used to choose different functions available under gamma distribution module.
    //   c = 1: It will allow the user to generate a gamma random variate with parameter a and b. In this case the function is independent of x and hence any value of x can be set.
    //   c = 2: It will allow the user to compute the probability density p(x) at x for gamma distribution with parameter a and exponent b.
    //   c = 3: It will allow the user to compute gamma cdf P(x).
    //   c = 4: It will allow the user to compute gamma cdf Q(x).
    //   c = 5: It will allow the user to compute inverse gamma cdf P(x).
    //   c >=6: It will allow the user to compute inverse gamma cdf Q(x).
    //   
    //   Description
    //   This function is used to calculate gamma random variate, probability density, cumulative distribution functions P(x), Q(x) and their inverse. 
    //
    //
    // Examples 
    // // probability density p(x) at x=1 for gamma distribution with parameter a=1 and b=1.
        // a=1
        // b=1
        // x=1
        // c=2
	// y = gammadist(a,b,x,c)
        // disp(y)
	//
// Authors
// Dr. Rajan Goyal
// Dr. Rashmi Verma
// Ms. Sakshi Verma
// Ms. Mahiguhappriyaprakash
endfunction
