


function [y] = gaussian()
    //   Gaussian Tail Distribution
    //
    //   Syntax
    //   y = gaussiantail(m,s,x,a,c)
    //   
    //   Parameters
    //   y: output 
    //   m: mean
    //   s: standard deviation
    //   x: x is real number lying within the range -infinity to +infinity for pdf computation.
    //   a: lower limit and it must be positive.
    //   c is choice parameter which can be used to choose different functions available under gaussiantail distribution module.
    //   c = 1: It will allow the user to generate a random variate from the upper tail of a Gaussian distribution with mean m and standard deviation s. The values returned are larger than the lower limit a. In this case the function is independent of x and hence any value of x can be set. 
    //   c >= 2: It will allow the user to compute the probability density p(x) at x for a gaussiantail distribution with mean m and standard deviation s.
    //   
    //   Description
    //   This function is used to generate the gaussian random variate from the upper tail gaussian distribution and probability density p(x) at x of a gaussian tail distribution with mean m and standard deviation s. 
    //
    //
    // Examples 
    // // probability density p(x) at x=2.0 for a gaussiantail distribution with mean m=0, standard deviation s=1 and lower limit a=1.5
        // m=0
        // s=1
        // x=2.0
        // a=1.5
        // c=2
	// y = gaussiantail(m,s,x,a,c)
        // disp(y)
	//
// Authors
// Dr. Rajan Goyal
// Dr. Rashmi Verma
// Ms. Sakshi Verma
// Ms. Mahiguhappriyaprakash
endfunction
