


function [y] = lognormal()
    //   Lognormal Distribution
    //
    //   Syntax
    //   y = lognormal(m,s,x,c)
    //   
    //   Parameters
    //   y: output 
    //   m: mean
    //   s: standard deviation
    //   x: x is real number greater than 0 for cdf and pdf computation. while for inverse cdf x will represent P and Q and its value will lie between 0 and 1.
    //   c is choice parameter which can be used to choose different functions available under lognormal distribution module.
    //   c = 1: It will allow the user to generate a lognormal random variate with mean m and standard deviation s. In this case the function is independent of x and hence any value of x can be set.
    //   c = 2: It will allow the user to compute the probability density p(x) at x for a lognormal distribution with mean m and standard deviation s.
    //   c = 3: It will allow the user to compute lognormal cdf P(x)
    //   c = 4: It will allow the user to compute lognormal cdf Q(x).
    //   c = 5: It will allow the user to compute inverse lognormal cdf P(x).
    //   c >=6: It will allow the user to compute inverse lognormal cdf Q(x).
    //   
    //   Description
    //   This function is used to calculate lognormal random variate, probability density, cumulative distribution functions P(x), Q(x) and their inverse. 
    //
    //
    // Examples 
    // // probability density p(x) at x=1 for a lognormal distribution with mean m=0 and standard devitation s=1
        // m=0
        // s=1
        // x=1
        // c=2
	// y = lognormal(m,s,x,c)
        // disp(y)
	//
// Authors
// Dr. Rajan Goyal
// Dr. Rashmi Verma
// Ms. Sakshi Verma
// Ms. Mahiguhappriyaprakash
endfunction
