


function [y] = poisson()
    //   Poisson Distribution
    //
    //   Syntax
    //   y = poisson(m,k,c)
    //   
    //   Parameters
    //   y: output 
    //   m: mean 
    //   k: k is positive integer greater than 0. 
    //   c is choice parameter which can be used to choose different functions available under poisson distribution module.
    //   c = 1: It will allow the user to generate a poisson random variate with mean m. In this case the function is independent of k and hence any value of k can be set.
    //   c = 2: It will allow the user to compute the probability p(k) of obtaining k from a poisson distribution with mean m.
    //   c = 3: It will allow the user to compute poisson cdf P(k)
    //   c >=4: It will allow the user to compute poisson cdf Q(k)
    //   
    //   Description
    //   This function is used to calculate poisson random variate, probability p(k) of obtaining k from a poisson distribution and cumulative distribution functions P(k), Q(k).
    //
    //
    // Examples 
    // // probability p(k) of obtaining k=1 from a poisson distribution with mean m=2.5.
        // m=2.5
        // k=1
        // c=2
	// y = poisson(m,k,c)
        // disp(y)
	//
// Authors
// Dr. Rajan Goyal
// Dr. Rashmi Verma
// Ms. Sakshi Verma
// Ms. Mahiguhappriyaprakash
endfunction
