


function [y] = tdist()
    //   Student's t Distribution
    //
    //   Syntax
    //   y = tdist(n,x,c)
    //   
    //   Parameters
    //   y: output 
    //   n: degrees of freedom
    //   x: x is real number lying within the range -infinity to +infinity for cdf and pdf computation. while for inverse cdf x will represent P and Q and its value will lie between 0 and 1.
    //   c is choice parameter which can be used to choose different functions available under student's t distribution module.
    //   c = 1: It will allow the user to generate an student's t random variate with n degrees of freedom. In this case the function is independent of x and hence any value of x can be set.
    //   c = 2: It will allow the user to compute the probability density p(x) at x for a student's t distribution with n degrees of freedom.
    //   c = 3: It will allow the user to compute  student's t cdf P(x)
    //   c = 4: It will allow the user to compute  student's t cdf Q(x).
    //   c = 5: It will allow the user to compute inverse  student's t cdf P(x).
    //   c >=6: It will allow the user to compute inverse  student's t cdf Q(x).
    //   
    //   Description
    //   This function is used to calculate  student's t random variate, probability density, cumulative distribution functions P(x), Q(x) and their inverse. 
    //
    //
    // Examples 
    // // probability density p(x) at x=0 for an  student's t distribution with degrees of freedom n=1.
        // n=1
        // x=0
        // c=2
	// y = tdist(n,x,c)
        // disp(y)
	//
// Authors
// Dr. Rajan Goyal
// Dr. Rashmi Verma
// Ms. Sakshi Verma
// Ms. Mahiguhappriyaprakash
endfunction
