mode(-1)
lines(0)

toolbox_title = "sci_gsl";

Build_64Bits = %t;

path_builder = get_absolute_file_path('builder_gateway_cpp.sce');

Function_Names = [
        
        "montecarlo","sci_montecarlo", "csci6";
        "splfunc","sci_splfunc","csci6";
        "Rnl_Hlike","sci_Rnl_Hlike","csci6";
        "phyconst","sci_phyconst","csci6";
        "Ass_legendre","sci_Ass_legendre","csci6";
        "NormAss_legendre","sci_NormAss_legendre","csci6";
        "linsys","sci_linsys","csci6";
        "lsqod","sci_lsqod","csci6";
        "gaussian","sci_gaussian","csci6";
        "gaussiantail","sci_gaussiantail","csci6";
        "bigaussian","sci_bigaussian","csci6";
        "bigaussianpdf","sci_bigaussianpdf","csci6";
        "exponential","sci_exponential","csci6";
        "exppow","sci_exppow","csci6";
        "gammadist","sci_gammadist","csci6";
        "lognormal","sci_lognormal","csci6";
        "flatuniform","sci_flatuniform","csci6";
        "chisq","sci_chisq","csci6";
        "fdist","sci_fdist","csci6";
        "tdist","sci_tdist","csci6";
        "betadist","sci_betadist","csci6";
        "poisson","sci_poisson","csci6";
        "binomial","sci_binomial","csci6";
        "negbinomial","sci_negbinomial","csci6";
        "pascal","sci_pascal","csci6";
        "geometric","sci_geometric","csci6";
        "logth","sci_logth","csci6";
        "hypergeom","sci_hypergeom","csci6";
        
    ];

//Name of all the files to be compiled
Files = ["sci_montecarlo.cpp","sci_splfunc.cpp","sci_Rnl_Hlike.cpp","sci_phyconst.cpp","sci_Ass_legendre.cpp","sci_NormAss_legendre.cpp","sci_linsys.cpp","sci_lsqod.cpp","sci_gaussian.cpp","sci_gaussiantail.cpp","sci_bigaussian.cpp","sci_bigaussianpdf.cpp","sci_exponential.cpp","sci_exppow.cpp","sci_gammadist.cpp","sci_lognormal.cpp","sci_flatuniform.cpp","sci_chisq.cpp","sci_fdist.cpp","sci_tdist.cpp","sci_betadist.cpp","sci_poisson.cpp","sci_binomial.cpp","sci_negbinomial.cpp","sci_pascal.cpp","sci_geometric.cpp","sci_logth.cpp","sci_hypergeom.cpp"]



[a, opt] = getversion();
Version = opt(2);

//Build_64Bits = %f;

if getos()=="Windows" then
    third_dir = path_builder+filesep()+'..'+filesep()+'..'+filesep()+'/usr/local/lib';
    lib_base_dir = third_dir + filesep() + 'windows' + filesep() + 'lib' + filesep();
    inc_base_dir = third_dir + filesep() + 'windows' + filesep() + 'include';
    C_Flags=['-D__USE_DEPRECATED_STACK_FUNCTIONS__  -I -w '+path_builder+' '+ '-I '+inc_base_dir+' ']   
    Linker_Flag  = "";
		libs  = [lib_base_dir+"libgsl"];

elseif getos()=="Darwin" then //Mac
	third_dir = path_builder+filesep()+'..'+filesep()+'..'+filesep()+'/usr/local/lib';
    	lib_base_dir = third_dir + filesep() + 'Mac' + filesep() + 'lib' + filesep() + Version + filesep();
    	inc_base_dir = third_dir + filesep() + 'Mac' + filesep() + 'include' ;
    	C_Flags=["-D__USE_DEPRECATED_STACK_FUNCTIONS__ -w -fpermissive -I"+path_builder+" -I"+inc_base_dir+" -Wl,-rpath "+lib_base_dir+" "]
    	Linker_Flag = ["-L"+lib_base_dir+" -lgsl -lgslcblas -Wl,-rpath="+lib_base_dir]

else//LINUX

    third_dir = path_builder+filesep()+'..'+filesep()+'..'+filesep()+'/usr/local/lib';
    lib_base_dir = third_dir + filesep() + 'linux' + filesep() + 'lib' + filesep() + Version + filesep();

    inc_base_dir = third_dir + filesep() + 'linux' + filesep() + 'include';

    C_Flags = ["-I"+inc_base_dir];

		Linker_Flag = ["-L" + lib_base_dir + " -lgsl -lgslcblas -Wl,-rpath="+lib_base_dir]

		libs = [];

end

tbx_build_gateway(toolbox_title,Function_Names,Files,get_absolute_file_path("builder_gateway_cpp.sce"), libs, Linker_Flag, C_Flags);

clear toolbox_title Function_Names Files Linker_Flag C_Flags;
