
extern "C"
{
#include<Scierror.h>
#include<api_scilab.h>
#include <stdio.h>
#include <math.h>
#include "localization.h"
#include <gsl/gsl_errno.h>
#include <gsl/gsl_math.h>
#include <gsl/gsl_sf.h>





static const char fname[] = "Rnl_Hlike";
double sci_Rnl_Hlike(scilabEnv env, int nin, scilabVar* in, int nopt, scilabOpt* opt, int nout, scilabVar* out)

{
	
	double* in1 = NULL;
        double* in2 = NULL;
        double* in3 =NULL;
        double* in4 = NULL;
	double* out1 = NULL;
        gsl_sf_result* result;
	
	
	double res;
  
if (nin != 4)
    {
        Scierror(77, _("%s: Wrong number of input argument(s): %d expected.\n"), fname, 2);
        return 1;
    }

if (nout != 1)
    {
        Scierror(77, _("%s: Wrong number of output argument(s): %d expected.\n"), fname, 1);
        return 1;
    }

    scilab_getDoubleArray(env, in[0], &in1);
    scilab_getDoubleArray(env, in[1], &in2);
    scilab_getDoubleArray(env, in[2], &in3);
    scilab_getDoubleArray(env, in[3], &in4);
    
    res=gsl_sf_hydrogenicR(*in1,*in2,*in3,*in4);
    

	out[0] = scilab_createDoubleMatrix2d(env, 1, 1, 0);
   	scilab_getDoubleArray(env, out[0], &out1);

	out1[0] = res;



    return 0;
}

}

