
extern "C"
{
#include<Scierror.h>
#include<api_scilab.h>
#include <stdio.h>
#include <math.h>
#include "localization.h"
#include <gsl/gsl_errno.h>
#include <gsl/gsl_math.h>
#include <gsl/gsl_rng.h>
#include <gsl/gsl_randist.h>
#include <gsl/gsl_sys.h>
#include <gsl/gsl_inline.h>
#include <gsl/gsl_machine.h>
#include <gsl/gsl_precision.h>
#include <gsl/gsl_nan.h>
#include <gsl/gsl_pow_int.h>
#include <gsl/gsl_minmax.h>
#include <gsl/gsl_types.h>

#include <gsl/gsl_cdf.h>




static const char fname[] = "bigaussian";
double sci_bigaussian(scilabEnv env, int nin, scilabVar* in, int nopt, scilabOpt* opt, int nout, scilabVar* out)

{
	
	double* in1 = NULL;
        double* in2 = NULL;
        double* in3 = NULL;
        double* in4 = NULL;
        double* in5 = NULL;
	double* out1=NULL;
        double* out2=NULL;
        int n;
        double x;
        double y;
       
       
        
	
	
	
  
if (nin != 5)
    {
        Scierror(77, _("%s: Wrong number of input argument(s): %d expected.\n"), fname, 2);
        return 1;
    }

if (nout != 2)
    {
        Scierror(77, _("%s: Wrong number of output argument(s): %d expected.\n"), fname, 1);
        return 1;
    }

    scilab_getDoubleArray(env, in[0], &in1);       // mux


    
    scilab_getDoubleArray(env, in[1], &in2);       // muy
 
    scilab_getDoubleArray(env, in[2], &in3);       // sigma x
    
    scilab_getDoubleArray(env, in[3], &in4);      // sigma y
    
    scilab_getDoubleArray(env, in[4], &in5);      // rho
    
    
    
 
gsl_rng *r;
gsl_rng_env_setup ();

r = gsl_rng_alloc (gsl_rng_default);



n=floor(rand()*100000000);
gsl_rng_set(r,n);

// bigaussian random number generation 
gsl_ran_bivariate_gaussian(r,*in3,*in4,*in5,&x,&y);

out[0] = scilab_createDoubleMatrix2d(env,1, 1, 0);
   	 scilab_getDoubleArray(env, out[0], &out1);

out[1] = scilab_createDoubleMatrix2d(env,1, 1, 0);
   	 scilab_getDoubleArray(env, out[1], &out2);




out1[0]=x+(*in1);
out2[0]=y+(*in2);


gsl_rng_free(r);
 return 0;

}
}


