
extern "C"
{
#include<Scierror.h>
#include<api_scilab.h>
#include <stdio.h>
#include <math.h>
#include "localization.h"
#include <gsl/gsl_errno.h>
#include <gsl/gsl_math.h>
#include <gsl/gsl_rng.h>
#include <gsl/gsl_randist.h>
#include <gsl/gsl_sys.h>
#include <gsl/gsl_inline.h>
#include <gsl/gsl_machine.h>
#include <gsl/gsl_precision.h>
#include <gsl/gsl_nan.h>
#include <gsl/gsl_pow_int.h>
#include <gsl/gsl_minmax.h>
#include <gsl/gsl_types.h>

#include <gsl/gsl_cdf.h>




static const char fname[] = "gaussian";
double sci_gaussian(scilabEnv env, int nin, scilabVar* in, int nopt, scilabOpt* opt, int nout, scilabVar* out)

{
	
	double* in1 = NULL;
        double* in2 = NULL;
        double* in3 = NULL;
        double* in4 = NULL;
	double* out1=NULL;
        int n;
        double x;
        double z;
       
        
	
	
	
  
if (nin != 4)
    {
        Scierror(77, _("%s: Wrong number of input argument(s): %d expected.\n"), fname, 2);
        return 1;
    }

if (nout != 1)
    {
        Scierror(77, _("%s: Wrong number of output argument(s): %d expected.\n"), fname, 1);
        return 1;
    }

    scilab_getDoubleArray(env, in[0], &in1);       // mu


    
    scilab_getDoubleArray(env, in[1], &in2);       // sigma
 
    scilab_getDoubleArray(env, in[2], &in3);       // x at which pdf,cdf etc to be find or P,Q in case of inv
    
    scilab_getDoubleArray(env, in[3], &in4);      // choice
    
    
 
gsl_rng *r;

gsl_rng_env_setup ();
r = gsl_rng_alloc (gsl_rng_default);

n=floor(rand()*100000000);
gsl_rng_set(r,n);

z=*in3-(*in1);
if(*in4==1)
// gaussian random number generation 
x=gsl_ran_gaussian(r,*in2)+*in1;
else if(*in4==2)
// gaussian pdf
x=gsl_ran_gaussian_pdf(z,*in2);
else if(*in4==3)
// gaussian cdf_P
x=gsl_cdf_gaussian_P(z,*in2);
else if(*in4==4)
// gaussian cdf_Q
x=gsl_cdf_gaussian_Q(z,*in2);
else if(*in4==5)
{
 // gaussian cdf_Pinv
x=gsl_cdf_gaussian_Pinv(*in3,*in2);
x=x+(*in1);
}
else
{
// gaussian cdf_Qinv
x=gsl_cdf_gaussian_Qinv(*in3,*in2);
x=x+(*in1);
}


out[0] = scilab_createDoubleMatrix2d(env,1, 1, 0);
   	 scilab_getDoubleArray(env, out[0], &out1);




out1[0]=x;

gsl_rng_free(r);
 return 0;

}
}


