
extern "C"
{
#include<Scierror.h>
#include<api_scilab.h>
#include <stdio.h>
#include <math.h>
#include "localization.h"
#include <gsl/gsl_errno.h>
#include <gsl/gsl_math.h>
#include <gsl/gsl_rng.h>
#include <gsl/gsl_randist.h>
#include <gsl/gsl_sys.h>
#include <gsl/gsl_inline.h>
#include <gsl/gsl_machine.h>
#include <gsl/gsl_precision.h>
#include <gsl/gsl_nan.h>
#include <gsl/gsl_pow_int.h>
#include <gsl/gsl_minmax.h>
#include <gsl/gsl_types.h>

#include <gsl/gsl_cdf.h>




static const char fname[] = "gaussiantail";
double sci_gaussiantail(scilabEnv env, int nin, scilabVar* in, int nopt, scilabOpt* opt, int nout, scilabVar* out)

{
	
	double* in1 = NULL;
        double* in2 = NULL;
        double* in3 = NULL;
        double* in4 = NULL;
        double* in5 = NULL;
	double* out1=NULL;
        int n;
        double x;
        double z;
       
        
	
	
	
  
if (nin != 5)
    {
        Scierror(77, _("%s: Wrong number of input argument(s): %d expected.\n"), fname, 2);
        return 1;
    }

if (nout != 1)
    {
        Scierror(77, _("%s: Wrong number of output argument(s): %d expected.\n"), fname, 1);
        return 1;
    }

    scilab_getDoubleArray(env, in[0], &in1);       // mu


    
    scilab_getDoubleArray(env, in[1], &in2);       // sigma
 
    scilab_getDoubleArray(env, in[2], &in3);       // x at which pdf,cdf etc to be find or P,Q in case of inv
    
    scilab_getDoubleArray(env, in[3], &in4);      // lower limit a which must be positive
   
     scilab_getDoubleArray(env, in[4], &in5);    // choice
    
 
gsl_rng *r;

gsl_rng_env_setup ();

r = gsl_rng_alloc (gsl_rng_default);

n=floor(rand()*100000000);
gsl_rng_set(r,n);

z=*in3-(*in1);
if(*in5==1)
// gaussiantail random number generation 
x=gsl_ran_gaussian_tail(r,*in4,*in2)+*in1;
else 
// gaussiantail pdf
x=gsl_ran_gaussian_tail_pdf(z,*in4,*in2);





out[0] = scilab_createDoubleMatrix2d(env,1, 1, 0);
   	 scilab_getDoubleArray(env, out[0], &out1);




out1[0]=x;

gsl_rng_free(r);
 return 0;

}
}


