
extern "C"
{
#include<Scierror.h>
#include<api_scilab.h>
#include <stdio.h>
#include <math.h>
#include "localization.h"
#include <gsl/gsl_errno.h>
#include <gsl/gsl_math.h>
#include <gsl/gsl_rng.h>
#include <gsl/gsl_randist.h>
#include <gsl/gsl_sys.h>
#include <gsl/gsl_inline.h>
#include <gsl/gsl_machine.h>
#include <gsl/gsl_precision.h>
#include <gsl/gsl_nan.h>
#include <gsl/gsl_pow_int.h>
#include <gsl/gsl_minmax.h>
#include <gsl/gsl_types.h>

#include <gsl/gsl_cdf.h>




static const char fname[] = "hypergeom";
double sci_hypergeom(scilabEnv env, int nin, scilabVar* in, int nopt, scilabOpt* opt, int nout, scilabVar* out)

{
	
	double* in1 = NULL;
        double* in2 = NULL;
        double* in3 = NULL;
        double* in4 = NULL;
        double* in5 = NULL;
	double* out1=NULL;
        int n;
        double x;
        double z;
       
        
	
	
	
  
if (nin != 5)
    {
        Scierror(77, _("%s: Wrong number of input argument(s): %d expected.\n"), fname, 2);
        return 1;
    }

if (nout != 1)
    {
        Scierror(77, _("%s: Wrong number of output argument(s): %d expected.\n"), fname, 1);
        return 1;
    }

    scilab_getDoubleArray(env, in[0], &in1);       // n1


    
    scilab_getDoubleArray(env, in[1], &in2);       // n2

 
     scilab_getDoubleArray(env, in[2], &in3);     // t
  
      scilab_getDoubleArray(env, in[3], &in4);    // k
    
    scilab_getDoubleArray(env, in[4], &in5);    // choice
    
 
gsl_rng *r;

gsl_rng_env_setup ();
r = gsl_rng_alloc (gsl_rng_default);

n=floor(rand()*100000000);
gsl_rng_set(r,n);

if(*in5==1)
{
// hypergeometric random number generation 
x=gsl_ran_hypergeometric(r,*in1,*in2,*in3);}
else if(*in5==2)
{// hypergeometric pdf
x=gsl_ran_hypergeometric_pdf(*in4,*in1,*in2,*in3);}
else if(*in5==3)
{// hypergeometric cdf_P
x=gsl_cdf_hypergeometric_P(*in4,*in1,*in2,*in3);}
else
{// hypergeometric cdf_Q
x=gsl_cdf_hypergeometric_Q(*in4,*in1,*in2,*in3);}



out[0] = scilab_createDoubleMatrix2d(env,1, 1, 0);
   	 scilab_getDoubleArray(env, out[0], &out1);




out1[0]=x;

gsl_rng_free(r);
 return 0;

}
}


