
extern "C"
{
#include<Scierror.h>
#include<api_scilab.h>
#include <stdio.h>
#include <math.h>
#include "localization.h"
#include <gsl/gsl_errno.h>
#include <gsl/gsl_math.h>
#include <gsl/gsl_monte.h>
#include <gsl/gsl_monte_plain.h>
#include <gsl/gsl_monte_miser.h>
#include <gsl/gsl_monte_vegas.h>
#include <gsl/gsl_rng.h>
#include <gsl/gsl_sys.h>
#include <gsl/gsl_inline.h>
#include <gsl/gsl_machine.h>
#include <gsl/gsl_precision.h>
#include <gsl/gsl_nan.h>
#include <gsl/gsl_pow_int.h>
#include <gsl/gsl_minmax.h>
#include <gsl/gsl_types.h>
#include <gsl/gsl_sf.h>
#include <gsl/gsl_vector.h>
#include <gsl/gsl_linalg.h>
#include <gsl/gsl_matrix.h>




static const char fname[] = "linsys";
double sci_linsys(scilabEnv env, int nin, scilabVar* in, int nopt, scilabOpt* opt, int nout, scilabVar* out)

{
	
	double* in1 = NULL;
        double* in2 = NULL;
        double* in3 = NULL;
	double* out1=NULL;
        
        int size=0;
        
        int inr=0;
        int inc=0;
        int inr1=0;
        int inc1=0;
        int size1=0;
        
	
	
	
  
if (nin != 3)
    {
        Scierror(77, _("%s: Wrong number of input argument(s): %d expected.\n"), fname, 2);
        return 1;
    }

if (nout != 1)
    {
        Scierror(77, _("%s: Wrong number of output argument(s): %d expected.\n"), fname, 1);
        return 1;
    }

    scilab_getDoubleArray(env, in[0], &in1);       // this is for matrix


    size=scilab_getDim2d(env,in[1],&inr,&inc);
    scilab_getDoubleArray(env, in[1], &in2);       // this is for vector
 
    scilab_getDoubleArray(env, in[2], &in3);



gsl_matrix_view M = gsl_matrix_view_array (in1,size,size);
gsl_vector_view b= gsl_vector_view_array (in2, size);
gsl_vector *x = gsl_vector_alloc(size);
gsl_vector *tau=gsl_vector_alloc(size);
gsl_permutation *p = gsl_permutation_alloc(size);




if(*in3==1)
{
// LU Decomposition method

int s;
gsl_linalg_LU_decomp (&M.matrix, p, &s);
gsl_linalg_LU_solve (&M.matrix, p, &b.vector, x);
}

else if(*in3==2)
{

// QR decompositon method

gsl_linalg_QR_decomp (&M.matrix,tau);
gsl_linalg_QR_solve (&M.matrix,tau, &b.vector, x);
}


else
{

// Householder solver

gsl_linalg_HH_solve (&M.matrix,&b.vector, x);
}


out[0] = scilab_createDoubleMatrix2d(env, inr, inc, 0);
   	 scilab_getDoubleArray(env, out[0], &out1);





for (int i=0;i<size;i++)

{
out1[i]=gsl_vector_get(x,i);
}





gsl_vector_free(x);
gsl_vector_free(tau);
gsl_permutation_free(p);
    return 0;

}
}


