
extern "C"
{
#include<Scierror.h>
#include<api_scilab.h>
#include <stdio.h>
#include <math.h>
#include "localization.h"
#include <gsl/gsl_errno.h>
#include <gsl/gsl_math.h>
#include <gsl/gsl_rng.h>
#include <gsl/gsl_randist.h>
#include <gsl/gsl_sys.h>
#include <gsl/gsl_inline.h>
#include <gsl/gsl_machine.h>
#include <gsl/gsl_precision.h>
#include <gsl/gsl_nan.h>
#include <gsl/gsl_pow_int.h>
#include <gsl/gsl_minmax.h>
#include <gsl/gsl_types.h>

#include <gsl/gsl_cdf.h>




static const char fname[] = "logth";
double sci_logth(scilabEnv env, int nin, scilabVar* in, int nopt, scilabOpt* opt, int nout, scilabVar* out)

{
	
	double* in1 = NULL;
        double* in2 = NULL;
        double* in3 = NULL;
	double* out1=NULL;
        int n;
        double x;
        double z;
       
        
	
	
	
  
if (nin != 3)
    {
        Scierror(77, _("%s: Wrong number of input argument(s): %d expected.\n"), fname, 2);
        return 1;
    }

if (nout != 1)
    {
        Scierror(77, _("%s: Wrong number of output argument(s): %d expected.\n"), fname, 1);
        return 1;
    }

    scilab_getDoubleArray(env, in[0], &in1);       // p


    
    scilab_getDoubleArray(env, in[1], &in2);       // k
 
 
     scilab_getDoubleArray(env, in[2], &in3);     //choice
    
 
gsl_rng *r;

gsl_rng_env_setup ();
r = gsl_rng_alloc (gsl_rng_default);

n=floor(rand()*100000000);
gsl_rng_set(r,n);

if(*in3==1)
// logarithmic random number generation 
x=gsl_ran_logarithmic(r,*in1);
else
// logarithmic pdf
x=gsl_ran_logarithmic_pdf(*in2,*in1);




out[0] = scilab_createDoubleMatrix2d(env,1, 1, 0);
   	 scilab_getDoubleArray(env, out[0], &out1);




out1[0]=x;

gsl_rng_free(r);
 return 0;

}
}


