
extern "C"
{
#include<Scierror.h>
#include<api_scilab.h>
#include <stdio.h>
#include <math.h>
#include "localization.h"
#include <gsl/gsl_errno.h>
#include <gsl/gsl_math.h>
#include <gsl/gsl_monte.h>
#include <gsl/gsl_monte_plain.h>
#include <gsl/gsl_monte_miser.h>
#include <gsl/gsl_monte_vegas.h>
#include <gsl/gsl_rng.h>
#include <gsl/gsl_sys.h>
#include <gsl/gsl_inline.h>
#include <gsl/gsl_machine.h>
#include <gsl/gsl_precision.h>
#include <gsl/gsl_nan.h>
#include <gsl/gsl_pow_int.h>
#include <gsl/gsl_minmax.h>
#include <gsl/gsl_types.h>
#include <gsl/gsl_sf.h>
#include <gsl/gsl_vector.h>
#include <gsl/gsl_linalg.h>
#include <gsl/gsl_matrix.h>




static const char fname[] = "lsqod";
double sci_lsqod(scilabEnv env, int nin, scilabVar* in, int nopt, scilabOpt* opt, int nout, scilabVar* out)

{
	
	double* in1 = NULL;
        double* in2 = NULL;
        double* in3 = NULL;
	double* out1=NULL;
        double* out2=NULL;
        int size=0;
        
        int inr=0;
        int inc=0;
        int inr1=0;
        int inc1=0;
        int size1=0;
        
	
	
	
  
if (nin != 3)
    {
        Scierror(77, _("%s: Wrong number of input argument(s): %d expected.\n"), fname, 2);
        return 1;
    }

if (nout != 2)
    {
        Scierror(77, _("%s: Wrong number of output argument(s): %d expected.\n"), fname, 1);
        return 1;
    }

    scilab_getDoubleArray(env, in[0], &in1);       // this is for matrix


    size=scilab_getDim2d(env,in[1],&inr,&inc);
    scilab_getDoubleArray(env, in[1], &in2);       // this is for vector
 
    scilab_getDoubleArray(env, in[2], &in3);      // no. of unknowns



gsl_matrix_view M = gsl_matrix_view_array (in1,size,*in3);
gsl_vector_view b= gsl_vector_view_array (in2, size);
gsl_vector *x = gsl_vector_alloc(*in3);
gsl_vector *residual=gsl_vector_alloc(size);
gsl_vector *tau=gsl_vector_alloc(*in3);


gsl_linalg_QR_decomp (&M.matrix,tau);
gsl_linalg_QR_lssolve (&M.matrix,tau, &b.vector, x, residual);


out[0] = scilab_createDoubleMatrix2d(env, *in3, 1, 0);
   	 scilab_getDoubleArray(env, out[0], &out1);

out[1] = scilab_createDoubleMatrix2d(env, inr, inc, 0);
   	 scilab_getDoubleArray(env, out[1], &out2);



for (int i=0;i<*in3;i++)

{
out1[i]=gsl_vector_get(x,i);
}

for (int i=0;i<size;i++)

{
out2[i]=gsl_vector_get(residual,i);
}



gsl_vector_free(x);
gsl_vector_free(tau);
gsl_vector_free(residual);
    return 0;

}
}


